org.springframework.web.socket.messaging

## Interface StompSubProtocolHandler.Stats

Enclosing class:
  StompSubProtocolHandler

    public static interface StompSubProtocolHandler.Stats

Contract for access to session counters.

Since:
  5.2

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getTotalConnect()` The number of CONNECT frames processed.
`int` `getTotalConnected()` The number of CONNECTED frames processed.
`int` `getTotalDisconnect()` The number of DISCONNECT frames processed.

### Method Detail

#### getTotalConnect

    int getTotalConnect()

The number of CONNECT frames processed.

#### getTotalConnected

    int getTotalConnected()

The number of CONNECTED frames processed.

#### getTotalDisconnect

    int getTotalDisconnect()

The number of DISCONNECT frames processed.